#
# spec file for package node (Version 0.3.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         node
URL:          ftp://ftp.hes.iki.fi/pub/ham/linux/ax25/
License:      GPL
Group:        Productivity/Hamradio/Packet
Conflicts:    ax25util
Autoreqprov:  on
Version:      0.3.0
Release:      730
Summary:      Simple node frontend
Source:       ftp://hes.iki.fi/pub/ham/unix/linux/ax25/node-%{version}.tar.gz
Patch:        node-%{version}.dif
Patch2:       node-makefile.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This is a simple node frontend for Linux kernel AX.25, NETROM, ROSE and
TCP. It's based on pms.c by Alan Cox (GW4PTS) but has been heavily
modified since. It's probably not very well tested, not pretty, not
very flexible and it is certainly not ready!



Authors:
--------
    Tomi Manninen OH2BNS <tomi.manninen@hut.fi>
    Jonathan Naylor G4KLX <g4klx@g4klx.demon.co.uk>
    Heikki Hannikainen OH7LZB <hessu@pspt.fi>
    Jean-Paul Roubelat F6FBB <jpr@f6fbb.org>
    Terry Dawson VK2KTJ <terry@albert.aapra.org.au>

%prep
%setup
%patch -p1
%patch2

%build
yes | CFLAGS=$RPM_OPT_FLAGS MAN_DIR=%{_mandir} ./configure
make depend
make

%install
rm -rf $RPM_BUILD_ROOT
make install installconf DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS HISTORY INSTALL README
%config /etc/ax25/*
/usr/sbin/*
/usr/lib/ax25
/var/lib/ax25
%doc %{_mandir}/man1/*.gz
%doc %{_mandir}/man5/*.gz
%doc %{_mandir}/man8/node.8.gz

%changelog -n node
* Thu Mar 18 2004 - jreuter@suse.de
- fixed permissions of man pages (#36374)
* Mon Mar 01 2004 - hmacht@suse.de
- building as nonroot-user
- adding patch for Makefile because of wrong permissions
* Fri Sep 05 2003 - jreuter@suse.de
- added security fixes by SM6TKY: two possible buffer overflows
  (in expand_string() and when writing to syslog.) One potential
  format string vulnerability in usr2_handler()
* Wed Jun 18 2003 - ro@suse.de
- added directories to filelist
* Tue Feb 04 2003 - ro@suse.de
- /var/ax25 -> /var/lib/ax25
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Fri May 19 2000 - bubnikv@suse.cz
- added buildroot, URL
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 06 1999 - ka@suse.de
- version 0.3.0 now declared to be stable by Tomi
* Mon Jul 05 1999 - ka@suse.de
- initial release
